unit U_ReceivableEditCF;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, DB, ADODB, cxGraphics, cxControls, cxLookAndFeels,
  cxLookAndFeelPainters, dxSkinsCore, dxSkinsDefaultPainters, cxStyles,
  cxCustomData, cxFilter, cxData, cxDataStorage, cxEdit, cxNavigator,
  dxDateRanges, dxScrollbarAnnotations, cxDBData, cxCalendar, cxGridLevel,
  cxGridCustomTableView, cxGridTableView, cxGridDBTableView, cxClasses,
  cxGridCustomView, cxGrid, Vcl.ComCtrls, Vcl.ToolWin, dxBarBuiltInMenu,
  Datasnap.DBClient, cxGridCustomPopupMenu, cxGridPopupMenu, cxContainer,
  Vcl.Menus, cxButtons, cxTextEdit, cxCurrencyEdit;

type
  TfrmReceivableEditCF = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    ADOQueryMain: TADOQuery;
    ADOQueryTemp: TADOQuery;
    ADOQueryCmd: TADOQuery;
    Amount: TcxCurrencyEdit;
    cxButton1: TcxButton;
    procedure Button2Click(Sender: TObject);
    procedure cxButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    FFFIDS: string;
    { Public declarations }
  end;

var
  frmReceivableEditCF: TfrmReceivableEditCF;

implementation


{$R *.dfm}

procedure TfrmReceivableEditCF.cxButton1Click(Sender: TObject);
begin
  if StrToFloatDef(Amount.Text, 0) = 0 then
  begin
    application.MessageBox('拆分金额不能为0', '提示');
    Exit;
  end;
  ModalResult := 1;
end;

procedure TfrmReceivableEditCF.Button2Click(Sender: TObject);
begin
  Close;
end;

end.

